# Copyright (c) 2020-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---
# this is a list of container structure tests which
# are automatically run as part of the CI process
# Docs: https://github.com/GoogleContainerTools/container-structure-test
schemaVersion: "2.0.0"

metadataTest:
  env:
    - key: "LC_CTYPE"
      value: "en_US.UTF-8"
    - key: "DEPOT_TOOLS"
      value: "/opt/depot_tools"

# Warning - anything you ask to check will be read entirely
# into RAM, this includes whole directories.
fileExistenceTests:
  - name: "/opt/ci"
    path: "/opt/ci"

fileContentTests:
  - name: "Chromium dependency tracker"
    path: "/installed_deps"
    expectedContents: ['\w{32}\s build/.+']

commandTests:
  - name: "check additional utils are installed"
    command: "which"
    args:
      - "sudo"
      - "wget"
      - "curl"
      - "python"
      - "ccache"

  - name: "Check SSL cert of https://chromium-gitlab.eyeo.it is trusted"
    command: "curl"
    args:
      - "--silent"
      - "--output"
      - "/dev/null"
      - "https://chromium-gitlab.eyeo.it"
